BasicIconFactory (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicIconFactory
Keywords: javax.swing.plaf.basic.BasicIconFactory class

# Class BasicIconFactory

java.lang.Object
javax.swing.plaf.basic.BasicIconFactory

All Implemented Interfaces:
  `Serializable`

public class BasicIconFactory extends Object implements Serializable
Factory object that can vend Icons appropriate for the basic L & F.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicIconFactory()`
  Constructs a `BasicIconFactory`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Icon`
  `createEmptyFrameIcon()`
  Returns an empty frame icon.
  `static Icon`
  `getCheckBoxIcon()`
  Returns a check box icon.
  `static Icon`
  `getCheckBoxMenuItemIcon()`
  Returns a check box menu item icon.
  `static Icon`
  `getMenuArrowIcon()`
  Returns a menu arrow icon.
  `static Icon`
  `getMenuItemArrowIcon()`
  Returns a menu item arrow icon.
  `static Icon`
  `getMenuItemCheckIcon()`
  Returns a menu item check icon.
  `static Icon`
  `getRadioButtonIcon()`
  Returns a radio button icon.
  `static Icon`
  `getRadioButtonMenuItemIcon()`
  Returns a radio button menu item icon.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### BasicIconFactory

    public BasicIconFactory()
    Constructs a `BasicIconFactory`.

- ## Method Details

  - ### getMenuItemCheckIcon

    public static Icon getMenuItemCheckIcon()
    Returns a menu item check icon.
    Returns:
      a menu item check icon

  - ### getMenuItemArrowIcon

    public static Icon getMenuItemArrowIcon()
    Returns a menu item arrow icon.
    Returns:
      a menu item arrow icon

  - ### getMenuArrowIcon

    public static Icon getMenuArrowIcon()
    Returns a menu arrow icon.
    Returns:
      a menu arrow icon

  - ### getCheckBoxIcon

    public static Icon getCheckBoxIcon()
    Returns a check box icon.
    Returns:
      a check box icon

  - ### getRadioButtonIcon

    public static Icon getRadioButtonIcon()
    Returns a radio button icon.
    Returns:
      a radio button icon

  - ### getCheckBoxMenuItemIcon

    public static Icon getCheckBoxMenuItemIcon()
    Returns a check box menu item icon.
    Returns:
      a check box menu item icon

  - ### getRadioButtonMenuItemIcon

    public static Icon getRadioButtonMenuItemIcon()
    Returns a radio button menu item icon.
    Returns:
      a radio button menu item icon

  - ### createEmptyFrameIcon

    public static Icon createEmptyFrameIcon()
    Returns an empty frame icon.
    Returns:
      an empty frame icon